<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace FrontModule;
use \Nette\Application\UI\Form;
use \Nette\Utils\Image;

 
class DkkPresenter extends BasePresenter {
    
    private $dkkModel;
    private $strankyModel;
    
    private $urlList = "dkk/list";
   
    
    //public $rokyk;
   
   /** @persistent */
   // public $rok;
 
    public function __construct(\DkkModel $dkkModel,\StrankyModel $strankyModel) {
    $this->dkkModel = $dkkModel;
    $this->strankyModel = $strankyModel;
    }
    
  
    
    public function renderList() {
      $this->template->text = $this->strankyModel->getStrankaByUrl($this->urlList);
       
    }
    
    public function renderFeny() {
      
       $this->template->psi = $this->dkkModel->getFeny(); 
    }
    
    public function renderPsi() {
      
       $this->template->psi = $this->dkkModel->getPsi(); 
    }
    
   
    
}
